@import "@/styles/variables";

.accordion-container {
    display: grid;
    gap: 12px;
    row-gap: 12px;
}

.container {
    max-width: 650px;
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    gap: 12px;
    row-gap: 12px;
}

.wrapper {
    overflow: hidden;
    background: $gray-100;
    border-radius: 8px;
    min-height: max-content;

    .error-message {
        display: flex;
        align-items: center;
        justify-content: center;
        min-height: 3rem;
    }
}

.wrapper .question-container {
    width: 100%;
    text-align: left;
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 400;
    font-size: 16px;
    background: none;
    border: none;
    cursor: pointer;
    border-radius: 8px;
    gap: 0.5rem;

    &__title {
        display: flex;
        justify-content: flex-start;
        gap: 1rem;
        align-items: center;
        color: $gray-900 !important;
        font-weight: 500;

        p {
            font-weight: 400;
            color: $gray-600;
            font-size: 14px;
        }

        span {
            color: $gray-900;
            font-weight: 500;
            font-size: 16px;
        }
    }

    &__update {
        display: block;
        padding-top: 12px;
        flex-direction: column;
        color: $gray-color-400;
    }

    &__percent {
        display: flex;
        gap: 10px;
        align-items: center;

        p {
            font-weight: 400;
            font-size: 16px !important;
        }
    }

    button {
        background: none;
    }

    @include tablet {
        gap: 1rem;
    }
}

.wrapper .answer-container {
    padding: 0 1rem;
    transition: height 0.7s ease-in-out;
}

.wrapper .answer-content {
    padding: 1rem 0;
    font-size: 20px;
    font-style: italic;
}
